<app-loading *ngIf="isLoadingPage"></app-loading>

<div class="content-header">
    <mb-button *ngIf="objFunction?.approve" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.approved' | translate}}" mbButtonTextColor="#141ED2"
        [customStyle]="true" [mbIsDisable]="isLoadingPage" (click)="approve()">
    </mb-button>
    <mb-button *ngIf="objFunction?.approve" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.approvedAll' | translate}}"
        mbButtonBgColor="#141ED2" mbButtonTextColor="#fff" [customStyle]="true" [mbIsDisable]="isLoadingPage" (click)="showPopupApproved()">
    </mb-button>
    <mb-button *ngIf="objFunction?.approve" mbButtonType="NO_BORDER" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.reject' | translate}}"
        mbButtonBgColor="#E8EAF6" mbButtonTextColor="#141ED2" [customStyle]="true" [mbIsDisable]="isLoadingPage"
        (click)="reject()">
    </mb-button>
</div>

<div>
    <div class="search-container">
        <div nz-row class="search-container__row" nz-row [nzGutter]="16">
            <div nz-col nzSpan="6" class="main-job-card__left position-relative">
                <mb-input-text [(ngModel)]="orgName" mbType="default" [mbMaxLength]="50" [defaultInput]="true"
                    (mbClick)="showModalOrg($event)"
                    mbPlaceholderText="{{ 'modelOrganization.initScreen.placeholder.chooseUnit' | translate }}"
                    mbLabelText="{{ 'modelOrganization.initScreen.label.orgName' | translate }}" [mbReadOnly]="true">
                </mb-input-text>
                <em *ngIf="orgName" nz-icon class="icon-delete-unit" (click)="clearOrgInput()" nzType="close-circle"
                    nzTheme="outline"></em>
            </div>

            <div nz-col nzSpan="6" class="main-job-card__center">
                <mb-select [mbDataSelects]="listJob" mbKeyLabel="jobName" mbKeyValue="jobId"
                    [mbDisable]="!searchParams.orgId" mbLabelText="{{'Job' | translate}}"
                    mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseJob' | translate}}"
                    [(ngModel)]="searchParams.jobId">
                </mb-select>
            </div>
            <div nz-col nzSpan="6" class="main-job-card__right">
                <mb-select [mbDataSelects]="listAttribute" mbKeyLabel="orgaValue" mbKeyValue="orgaId"
                    mbLabelText="{{'modelOrganization.JDs.function' | translate}}"
                    mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseFunction' | translate}}"
                    [mbDisable]="!searchParams.orgId" [(ngModel)]="searchParams.orgaId"></mb-select>
            </div>

            <div nz-col nzSpan="6" class="main-job-card__left">
                <mb-input-text mbType="default" [mbMaxLength]="250" [defaultInput]="true"
                    mbPlaceholderText="{{ 'modelOrganization.JDs.placeHoder.typeJDs' | translate }}"
                    mbLabelText="{{ 'modelOrganization.JDs.nameJDs' | translate }}" [(ngModel)]="searchParams.jdName">
                </mb-input-text>
            </div>

        </div>
        <div nz-row class="search-container__row mt-20" nz-row [nzGutter]="16">
            <div nz-col nzSpan="6" class="main-job-card__left">
                <mb-select [mbDataSelects]="listCareerGroup" mbKeyLabel="lvaMean" mbKeyValue="lvaId"
                    [(ngModel)]="searchParams.lvaIdProfession"
                    mbLabelText="{{'modelOrganization.JDs.groupCareer' | translate}}"
                    mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseGroupCareer' | translate}}">
                </mb-select>
            </div>

            <div nz-col nzSpan="6" class="main-job-card__center">
                <mb-select [mbDataSelects]="listJobGroup" mbKeyLabel="lvaMean" mbKeyValue="lvaId"
                    [(ngModel)]="searchParams.lvaIdJob" mbLabelText="{{'modelOrganization.JDs.groupJob' | translate}}"
                    mbPlaceholder="{{'modelOrganization.JDs.placeHoder.chooseGroupJob' | translate}}"></mb-select>
            </div>

            <div class="container-button">
                <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM'
                    mbButtonText="{{'common.button.search' | translate}}" (click)="onSearch()">
                </mb-button>
                <mb-button *ngIf="objFunction?.export" mbButtonType="BORDER" mbButtonSize="VERY_LARGE" (click)="exportExcel()">
                    <img src="../../../../../assets/images/icon/excel.svg" alt="" />
                </mb-button>
            </div>
        </div>
    </div>

    <div>
        <div nz-col nzSpan="24" class="main-job-card__left">
            <mb-input-text mbType="default" [mbMaxLength]="150" [defaultInput]="true"
                mbPlaceholderText="{{'modelOrganization.approvedStaff.placeHoder.inputApproveInfo' | translate:{result:250} }}"
                [(ngModel)]="searchParams.description"
                [mbType]="isValid && !searchParams.description ?'error':'default'">
            </mb-input-text>
            <div class="error" *ngIf="isValid && !searchParams.description">
                <em nz-icon nzType="close-circle" nzTheme="fill"></em>
                <span>{{'modelOrganization.approvedStaff.notification.noDescription' | translate }}</span>
            </div>
        </div>
    </div>

    <div class="table-container ant-table-content">
        <nz-table #basicTable [nzData]="dataTable" [nzFrontPagination]="false" [nzShowPagination]="false"
            nzTableLayout="fixed" class="table-container__table"
            [nzScroll]="dataTable?.length > 0 ? { x:SCROLL_CONFIG, y: '400px' } : {}">
            <thead>
                <tr>
                    <th scope="col" [nzDisabled]="dataTable.length === 0" [(nzChecked)]="isCheckAll"
                        (nzCheckedChange)="selectAll($event)" [nzWidth]="WIDTH_COLUMN.CHECKED" nzLeft></th>
                    <th scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED">{{'modelOrganization.table.stt' | translate }}</th>
                    <th scope="col" nzWidth="30%">{{'modelOrganization.planYear.unitName' | translate}}</th>
                    <th scope="col" nzWidth="20%">{{'modelOrganization.planYear.job' | translate}}</th>
                    <th scope="col" nzWidth="20%">{{'modelOrganization.table.function' | translate}}</th>
                    <th scope="col" nzWidth="20%" nzRight>{{'modelOrganization.JDs.nameJDs' | translate}}</th>
                </tr>
            </thead>
            <tbody class="bg-white">
                <tr *ngFor="let data of dataTable; let i = index;trackBy:trackByFn" (dblclick)="onClickRow(data)">
                    <td [nzChecked]="data.isChecked" (nzCheckedChange)="onItemChecked(data, $event)" nzLeft></td>
                    <td>{{i+1}}</td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.fullName">
                        <span>{{data.fullName}}</span>
                    </td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.jobName">
                        <span>{{data.jobName}}</span>
                    </td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.orgaValue">
                        {{data.orgaValue}}</td>
                    <td class="table-container__col-text-ellipsis" nz-tooltip [nzTooltipTitle]="data.jdName" nzRight>
                        {{data.jdName}}</td>
            </tbody>
        </nz-table>
    </div>
</div>
